from distutils.core import setup
from setuptools import find_packages
import sys

assert(sys.version_info >= (3, 0))

exec(open('fishbook/version.py').read())

requires = ['datajoint', 'nixio', 'numpy', 'PyYAML', 'scipy', 'backports-datetime-fromisoformat']

setup(name='fishbook',
      version=__version__,
      packages=find_packages(exclude=['contrib', 'doc', 'tests*']),
      description='Database providing an overview of the electrophysiological data recorded in the group.',
      author='Jan Grewe',
      install_requires=requires if sys.version_info < (3,7) else requires[:-1] 
      )
